<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:background="@drawable/bg_round_corner_10_222222">

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="40dp"
        android:fontFamily="@font/gmarket_sans_bold"
        android:gravity="center"
        android:text="비밀번호 입력"
        android:textColor="@color/color_bbbbbb"
        android:textSize="18.3sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_desc"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="13.3dp"
        android:layout_marginTop="6dp"
        android:fontFamily="@font/gmarket_sans_medium"
        android:gravity="center"
        android:text="비공개 라이브의 입장 비밀번호를\n입력해 주세요."
        android:textColor="@color/color_bbbbbb"
        android:textSize="15sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_title" />

    <LinearLayout
        android:id="@+id/ll_input_password"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="26.7dp"
        android:layout_marginTop="16.7dp"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_desc">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="6.7dp"
            android:fontFamily="@font/gmarket_sans_medium"
            android:text="비밀번호"
            android:textColor="@color/color_eeeeee"
            android:textSize="12sp" />

        <EditText
            android:id="@+id/et_password"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/edittext_underline"
            android:digits="0123456789"
            android:fontFamily="@font/gmarket_sans_medium"
            android:hint="비밀번호를 입력해 주세요"
            android:importantForAutofill="no"
            android:inputType="number"
            android:paddingHorizontal="6.7dp"
            android:paddingTop="12dp"
            android:paddingBottom="8dp"
            android:textColor="@color/color_eeeeee"
            android:textColorHint="@color/color_777777"
            android:textCursorDrawable="@drawable/edit_text_cursor"
            android:textSize="13.3sp"
            android:theme="@style/EditTextStyle"
            tools:ignore="LabelFor,TextFields" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16.7dp"
        android:layout_marginTop="35dp"
        android:layout_marginBottom="16.7dp"
        android:gravity="center"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_input_password">

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="13.3dp"
            android:layout_weight="1"
            android:background="@drawable/bg_round_corner_10_339970ff_9970ff"
            android:fontFamily="@font/gmarket_sans_bold"
            android:gravity="center"
            android:paddingVertical="16dp"
            android:text="취소"
            android:textColor="@color/color_9970ff"
            android:textSize="18.3sp" />

        <LinearLayout
            android:id="@+id/ll_confirm"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="2"
            android:background="@drawable/bg_round_corner_10_9970ff"
            android:gravity="center"
            android:paddingVertical="16dp">

            <TextView
                android:id="@+id/tv_can"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_round_corner_10_9970ff"
                android:fontFamily="@font/gmarket_sans_bold"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="18.3sp"
                app:drawableEndCompat="@drawable/ic_can"
                tools:text="100" />

            <TextView
                android:id="@+id/tv_confirm"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/gmarket_sans_bold"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="18.3sp"
                tools:text="으로 입장" />
        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
